Zonemaster::Engine::Normalization::Error(3pm)

NAME
Zonemaster::Engine::Normalization::Error - normalization error class

SYNOPSIS
    use Zonemaster::Engine::Normalization::Error;

    my $error = Zonemaster::Engine::Normalization::Error->new(LABEL_TOO_LONG => {label => $label});

ATTRIBUTES

tag The message tag associated to the error.

params
    The error message parameters to use in the message string.

METHODS

new($tag, $params)
    Creates and returns a new error object. This function will croak if there is a missing parameter for the given tag.

message
    Returns the translated error message using the parameters given when creating the object.

tag Returns the message tag asscociated to the error.

string
    Returns a string representation of the error object. Equivalent to message().